/*
 * IRC - Internet Relay Chat, include/parse.h
 *
 * See file doc/authors for names of the programmers.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef PARSE_H
#define PARSE_H

/*=============================================================================
 * Proto types
 */

extern int parse_client(aClient *cptr, char *buffer, char *bufend);
extern int parse_server(aClient *cptr, char *buffer, char *bufend);
extern void initmsgtree(void);

#endif /* PARSE_H */
